package com.mediterranium.eao;

import java.util.List;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

import com.mediterranium.entities.Planificacion;
import com.mediterranium.entities.RecetaPlanificada;
import com.mediterranium.entities.User;

@Stateless
public class PlanificacionEAOBean implements PlanificacionEAO{
	@PersistenceContext(unitName = "JPADB")
	private EntityManager entityManager;
	
	
	public void savePlanificacion(Planificacion planificacion){
		List<RecetaPlanificada> recetasPlanificadas = planificacion.getRecetasPlanificadas();
		planificacion.setRecetasPlanificadas(null);
		
			entityManager.merge(planificacion);
			entityManager.flush();
			
			Query query = entityManager
					.createNativeQuery(
							"select * from planificacion  where id_planificacion = (select MAX(id_planificacion) from planificacion)",
							Planificacion.class);
			List<Planificacion> planificaciones = query.getResultList();
		planificacion = planificaciones.get(0);
		
		for(RecetaPlanificada rp:recetasPlanificadas){
			rp.setPlanificacion(planificacion);
			entityManager.merge(rp);
		}
	}
	
	public List<Planificacion> getPlanificaciones(User user){
		List<Planificacion> planificaciones;
		
		Query query = entityManager.createNativeQuery("select * from planificaciones join planificacion_receta where id_receta="+user.getIdUser(),Planificacion.class);
		planificaciones = query.getResultList();
		for(Planificacion planificacion:planificaciones){
			planificacion.getRecetasPlanificadas().size();
		}
		return planificaciones;
	}
}
