package com.mediterranium.eao;

import java.util.List;

import javax.ejb.Remote;

import com.mediterranium.entities.Ingrediente;
import com.mediterranium.entities.Receta;

@Remote
public interface RecetaEAO {
	public void saveReceta(Receta receta);

	public Receta getReceta(int id);

	public List<Receta> getAllTraditionalRecipes();

	public List<Receta> getAllEasyRecipes();

	public List<Receta> getAllImpressiveRecipes();

	public List<Receta> getAllCheapRecipes();

	public List<Receta> getAllFastRecipes();
	
	public List<Receta> getAllRecipesAdvanced(Receta receta);
	
	public Receta getRecetaMinima(int id);
	
	public List<Receta> getReceptesTemporada(int temporada);
	
	public List<Receta> getAllEditableRecipes() ;
	public List<Ingrediente> getAllIngredientes();
}
