package com.mediterranium.entities;

import java.io.Serializable;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
@Entity
@Table(name = "favorito")
@IdClass(FavoritoPK.class)
public class Favorito implements Serializable{

	@Id
	@JoinColumn(name="id_receta", referencedColumnName="id_receta")
	@ManyToOne
	private Receta receta;
	
	@Id
	@JoinColumn(name="id_user", referencedColumnName="id_user")
	@ManyToOne
	private User user;

	public Receta getReceta() {
		return receta;
	}

	public void setReceta(Receta receta) {
		this.receta = receta;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	
	
	
}
