package com.mediterranium.entities;

import java.io.Serializable;

import javax.persistence.CascadeType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

public class FavoritoPK implements Serializable{
	private Receta receta;
	
	private User user;
	
	@Override
	public boolean equals(Object other) {
		FavoritoPK favoritoPK = (FavoritoPK) other;
		boolean equal = false;

		if (favoritoPK.getReceta().getIdReceta() == receta.getIdReceta() && 
				favoritoPK.getUser().getIdUser() == getUser().getIdUser()) {
			equal = true;
		}
		return equal;
	}

	@Override
	public int hashCode() {
		return super.hashCode();
	}

	public Receta getReceta() {
		return receta;
	}

	public void setReceta(Receta receta) {
		this.receta = receta;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	
}
