package com.mediterranium.entities;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

public class IngredienteRecetaPK  implements Serializable {
	
	
	
	private Ingrediente ingrediente;
	
	
	
	private Receta receta;
	
	@Override
	public boolean equals(Object other) {
		IngredienteRecetaPK ingredientePK = (IngredienteRecetaPK) other;
		boolean equal = false;

		if (ingredientePK.getReceta().getIdReceta() == receta.getIdReceta() && 
				ingredientePK.getIngrediente().getIdIngrediente() == ingrediente.getIdIngrediente()) {
			equal = true;
		}
		return equal;
	}

	@Override
	public int hashCode() {
		return super.hashCode();
	}

	public Ingrediente getIngrediente() {
		return ingrediente;
	}

	public void setIngrediente(Ingrediente ingrediente) {
		this.ingrediente = ingrediente;
	}

	public Receta getReceta() {
		return receta;
	}

	public void setReceta(Receta receta) {
		this.receta = receta;
	}

	
	
	
}	
