package com.mediterranium.opcionesSecure;

import java.util.List;
import java.util.Map;

import utils.Constants;

import com.mediterranium.entities.Ingrediente;
import com.mediterranium.entities.Unidad;
import com.mediterranium.locator.EJBLocator;
import com.metditerranium.receptes.IReceptesFacade;
import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.Preparable;

public class AltaIngredientes extends ActionSupport implements Preparable{
	
	private List<Ingrediente> ingredientes;
	
	private List<Unidad> unidades;
	
	

	public List<Unidad> getUnidades() {
		return unidades;
	}

	public void setUnidades(List<Unidad> unidades) {
		this.unidades = unidades;
	}

	public List<Ingrediente> getIngredientes() {
		return ingredientes;
	}

	public void setIngredientes(List<Ingrediente> ingredientes) {
		this.ingredientes = ingredientes;
	}
	
	@Override
	public void prepare() throws Exception {
		EJBLocator ejbLocator = EJBLocator.getInstanceReceptes(Constants.FACADE_RECETAS);
		IReceptesFacade iReceptesFacade = ejbLocator.getReceptesFacade();
		ingredientes=iReceptesFacade.getAllEditableIngredientes();
		unidades = iReceptesFacade.getAllUnits();
		Map session  = ActionContext.getContext().getSession();
		session.put(Constants.UNIDADES, unidades);
	}
}
