package com.mediterranium.opcionesSecure;

import java.util.List;

import utils.Constants;

import com.mediterranium.entities.Receta;
import com.mediterranium.locator.EJBLocator;
import com.metditerranium.receptes.IReceptesFacade;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.Preparable;

public class AltaRecetas extends ActionSupport implements Preparable{
	
	private List<Receta> recetas;
	
	
	public List<Receta> getRecetas() {
		return recetas;
	}


	public void setRecetas(List<Receta> recetas) {
		this.recetas = recetas;
	}


	@Override
	public void prepare() throws Exception {
		EJBLocator ejbLocator = EJBLocator.getInstanceReceptes(Constants.FACADE_RECETAS);
		IReceptesFacade iReceptesFacade = ejbLocator.getReceptesFacade();
		recetas=iReceptesFacade.getAllEditableRecipes();
	}



	
	
}
