package com.mediterranium.opcionesSecure;

import java.util.Map;

import utils.Constants;

import com.mediterranium.entities.Favorito;
import com.mediterranium.entities.Receta;
import com.mediterranium.entities.User;
import com.mediterranium.locator.EJBLocator;
import com.mediterranium.user.IUserFacade;
import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

public class AnadirRecetaFavorita extends ActionSupport implements ModelDriven<Favorito> {
	
	private Favorito favorito;
	
	public String execute() throws Exception {
		Map session  = ActionContext.getContext().getSession();
		User user=(User)session.get(Constants.ROL_REGISTERED_USER);
		favorito.setUser(user);
		
		EJBLocator ejbLocator = EJBLocator.getInstanceUser("userFacade");
		IUserFacade iUserFacade = ejbLocator.getUserFacade();
		iUserFacade.anadirFavorita(favorito);
		return SUCCESS;
	}

	public Favorito getFavorito() {
		return favorito;
	}

	public void setFavorito(Favorito favorito) {
		this.favorito = favorito;
	}
	
	public Favorito getModel() {
		return favorito;
		
	}
}
