package com.mediterranium.opcionesSecure;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

import com.mediterranium.entities.Fecha;
import com.mediterranium.entities.Fechas;
import com.opensymphony.xwork2.ActionSupport;

public class ChangeDays extends ActionSupport {
	private Object jsonModel;
	
	private String mes;
	private int dia;
	private int ano;
	
	

	public String getMes() {
		return mes;
	}

	public void setMes(String mes) {
		this.mes = mes;
	}

	public int getDia() {
		return dia;
	}

	public void setDia(int dia) {
		this.dia = dia;
	}

	public int getAno() {
		return ano;
	}

	public void setAno(int ano) {
		this.ano = ano;
	}

	public Object getJsonModel() {
		return jsonModel;
	}

	public void setJsonModel(Object jsonModel) {
		this.jsonModel = jsonModel;
	}
	
	public String execute() throws Exception {
		List<Fecha> fechas = new ArrayList<Fecha>();
		Fechas fecha = new Fechas();
		String retorno;
		boolean trobat=false;
		Date date = new Date();
		Calendar cal = Calendar.getInstance(getLocale());
		cal.setTime(date);
	    String formato="MMMM";
	    SimpleDateFormat dateFormat = new SimpleDateFormat(formato);
	    
	    while(!trobat){
	    	if(dateFormat.format(date).equals(mes)){
	    		trobat=true;
	    	}else
	    	cal.add(Calendar.MONTH, 1);
	    	date = cal.getTime();
	    }
	    
	    formato ="MM";
	    dateFormat = new SimpleDateFormat(formato);
	    int mesAux = Integer.parseInt(dateFormat.format(date));
	    
	    date = new Date();
	    cal.setTime(date);
	    
	    cal.set(Calendar.DAY_OF_MONTH, dia);
	    mesAux--;
	    cal.set(Calendar.MONTH, mesAux);
		cal.set(Calendar.YEAR, ano);
		date = cal.getTime();
		
		formato="MMMM";
		dateFormat = new SimpleDateFormat(formato);
		for(int i=0;i<6;i++){
			cal.add(Calendar.DAY_OF_MONTH,1);
			date = cal.getTime();
			Fecha fech = new Fecha();
			fech.setDia(cal.get(Calendar.DAY_OF_MONTH));
			fech.setAno(cal.get(Calendar.YEAR));
			fech.setMes(dateFormat.format(date));
			fechas.add(fech);
		}
		fecha.setFechas(fechas);
		
		jsonModel = fecha;
		return SUCCESS;
	}
	
	

}
