package com.metditerranium.receptes;

import java.util.List;

import javax.ejb.Remote;

import com.mediterranium.entities.Categoria;
import com.mediterranium.entities.Ingrediente;
import com.mediterranium.entities.Nacionalidad;
import com.mediterranium.entities.Receta;
import com.mediterranium.entities.Unidad;

@Remote
public interface IReceptesFacade {

	public List<Categoria> getAllCategorias();
	
	public List<Nacionalidad> getAllNacionalidad();
	
	public Receta getReceta(int idReceta);
	
	public void saveReceta(Receta receta);
	
	public List<Receta> getAllTraditionalRecipes();
	
	public List<Receta> getAllEasyRecipes();
	
	public List<Receta> getAllImpressiveRecipes();
	
	public List<Receta> getAllCheapRecipes();
    
    public List<Receta> getAllFastRecipes();
    
    public List<Receta> getAllRecipesAdvanced(Receta receta);
    public Receta getRecetaMinima(int id);
    public List<Unidad> getAllUnits();
    
    public List<Receta> getReceptesTemporada(int temporada);
    
    public List<Receta> getAllEditableRecipes() ;
    
    public List<Ingrediente> getAllEditableIngredientes();
}
