package com.mediterranium.eao;

import java.util.List;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

import com.mediterranium.entities.Categoria;
import com.mediterranium.entities.Nacionalidad;
import com.mediterranium.entities.Paso;
import com.mediterranium.entities.Receta;

/**
 * Session Bean implementation class CategoriaEAOBean
 */
@Stateless
public class CategoriaEAOBean implements CategoriaEAO {
	@PersistenceContext(unitName = "JPADB")
	private EntityManager entityManager;

	/**
	 * Default constructor.
	 */
	public CategoriaEAOBean() {

	}

	public List<Categoria> getAllCategories() {

		Query query = entityManager.createNativeQuery(
				"select * from categoria", Categoria.class);
		
		List<Categoria> list = query.getResultList();

		return list;
	}

	public List<Nacionalidad> getAllNacionalidad() {
		Query query = entityManager.createNativeQuery(
				"select * from nacionalidad", Nacionalidad.class);
		
		List<Nacionalidad> list = query.getResultList();

		return list;
	}
	
	

}
