package com.mediterranium.categoriasPublic;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import utils.Constants;

import com.mediterranium.entities.Receta;
import com.mediterranium.locator.EJBLocator;
import com.metditerranium.receptes.IReceptesFacade;
import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;

public class AnadirReceta extends ActionSupport  {
	private int idReceta;
	
	private Object jsonModel;
	
	

	public Object getJsonModel() {
		return jsonModel;
	}



	public void setJsonModel(Object jsonModel) {
		this.jsonModel = jsonModel;
	}



	public int getIdReceta() {
		return idReceta;
	}



	public void setIdReceta(int idReceta) {
		this.idReceta = idReceta;
	}



	public String execute() throws Exception {
		List<Receta>recetas;
		int noRecetas ;
		Map session  = ActionContext.getContext().getSession();
		recetas =(List<Receta>)session.get(Constants.RECETAS_SESSION);
		boolean repetida=false;
		if(recetas==null){
			recetas= new ArrayList<Receta>();
		}
		for(Receta rec:recetas){
			if(rec.getIdReceta()==idReceta)
				repetida=true;
		}
		if(idReceta!=0 && !repetida){
			EJBLocator ejbLocator = EJBLocator.getInstanceReceptes(Constants.FACADE_RECETAS);
			IReceptesFacade iReceptesFacade = ejbLocator.getReceptesFacade();
			Receta receta =iReceptesFacade.getReceta(idReceta);
			recetas.add(receta);
		}
		session.put(Constants.RECETAS_SESSION, recetas);
		noRecetas =  recetas.size();
		jsonModel = noRecetas;
		return SUCCESS;
	}
}
