package com.mediterranium.categoriasPublic;

import java.util.List;

import com.mediterranium.entities.Receta;
import com.mediterranium.locator.EJBLocator;
import com.metditerranium.receptes.IReceptesFacade;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.Preparable;

public class CategoriaEconomica    extends ActionSupport implements Preparable {
	private List<Receta> recetasEconomicas;

	

	public List<Receta> getRecetasEconomicas() {
		return recetasEconomicas;
	}

	public void setRecetasEconomicas(List<Receta> recetasEconomicas) {
		this.recetasEconomicas = recetasEconomicas;
	}

	public void prepare() throws Exception {

		EJBLocator ejbLocator = EJBLocator
				.getInstanceReceptes("receptesFacade");
		IReceptesFacade iReceptesFacade = ejbLocator.getReceptesFacade();
		// iReceptesFacade.saveReceta(receta);
		recetasEconomicas = iReceptesFacade.getAllCheapRecipes();

		for (Receta rec : recetasEconomicas) {
			rec.setUrlImage("data:" + rec.getMYMEType() + ";base64,"
					+ utils.Base64.encode(rec.getImage()));
		}

	}

	public String execute() {
		// you action logic
		return SUCCESS;
	}
}
