package com.mediterranium.categoriasPublic;

import java.util.List;

import utils.Constants;

import com.mediterranium.entities.Receta;
import com.mediterranium.locator.EJBLocator;
import com.metditerranium.receptes.IReceptesFacade;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.Preparable;

public class CategoriaFacil extends ActionSupport implements Preparable {

	private List<Receta> recetasFaciles;

	public List<Receta> getRecetasFaciles() {
		return recetasFaciles;
	}

	public void setRecetasFaciles(List<Receta> recetasFaciles) {
		this.recetasFaciles = recetasFaciles;
	}

	public void prepare() throws Exception {

		EJBLocator ejbLocator = EJBLocator
				.getInstanceReceptes(Constants.FACADE_RECETAS);
		IReceptesFacade iReceptesFacade = ejbLocator.getReceptesFacade();
		// iReceptesFacade.saveReceta(receta);
		recetasFaciles = iReceptesFacade.getAllEasyRecipes();

		for (Receta rec : recetasFaciles) {
			rec.setUrlImage("data:" + rec.getMYMEType() + ";base64,"
					+ utils.Base64.encode(rec.getImage()));
		}

	}

	public String execute() {
		// you action logic
		return SUCCESS;
	}
}
