package com.mediterranium.categoriasPublic;

import java.util.List;

import utils.Constants;

import com.mediterranium.entities.Receta;
import com.mediterranium.locator.EJBLocator;
import com.metditerranium.receptes.IReceptesFacade;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.Preparable;

public class CategoriaRapida extends ActionSupport implements Preparable {

	private List<Receta> recetasRapidas;

	public List<Receta> getRecetasRapidas() {
		return recetasRapidas;
	}

	public void setRecetasRapidas(List<Receta> recetasRapidas) {
		this.recetasRapidas = recetasRapidas;
	}

	public void prepare() throws Exception {

		EJBLocator ejbLocator = EJBLocator
				.getInstanceReceptes(Constants.FACADE_RECETAS);
		IReceptesFacade iReceptesFacade = ejbLocator.getReceptesFacade();
		// iReceptesFacade.saveReceta(receta);
		recetasRapidas = iReceptesFacade.getAllFastRecipes();

		for (Receta rec : recetasRapidas) {
			rec.setUrlImage("data:" + rec.getMYMEType() + ";base64,"
					+ utils.Base64.encode(rec.getImage()));
		}

	}

	public String execute() {
		// you action logic
		return SUCCESS;
	}
}
