package com.mediterranium.categoriasPublic;

import java.util.ArrayList;
import java.util.List;

import utils.Constants;

import com.mediterranium.entities.Receta;
import com.mediterranium.locator.EJBLocator;
import com.metditerranium.receptes.IReceptesFacade;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.Preparable;

public class CategoriaTradicional extends ActionSupport implements Preparable {
	
	private List<Receta> tradicionales;
	
	public List<Receta> getTradicionales() {
		return tradicionales;
	}
	public void setTradicionales(List<Receta> tradicionales) {
		this.tradicionales = tradicionales;
	}
	
	public void prepare() throws Exception {
		
        
		EJBLocator ejbLocator = EJBLocator.getInstanceReceptes(Constants.FACADE_RECETAS);
		IReceptesFacade iReceptesFacade = ejbLocator.getReceptesFacade();
//		iReceptesFacade.saveReceta(receta);
		tradicionales=iReceptesFacade.getAllTraditionalRecipes();
		
		
		for(Receta rec:tradicionales){
			rec.setUrlImage("data:"+rec.getMYMEType()+";base64,"+utils.Base64.encode(rec.getImage()));
		}
        
    }
	public String execute() {
        // you action logic
        return SUCCESS;
    }


}
