package com.mediterranium.categoriasPublic;

import utils.Constants;
import utils.Utils;

import com.mediterranium.entities.Receta;
import com.mediterranium.locator.EJBLocator;
import com.metditerranium.receptes.IReceptesFacade;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;
import com.opensymphony.xwork2.Preparable;

public class UnaReceta  extends ActionSupport implements Preparable  {

	private int idReceta ;
	
	private Receta receta;
	
	public Receta getReceta() {
		return receta;
	}


	public void setReceta(Receta receta) {
		this.receta = receta;
	}


	public int getIdReceta() {
		return idReceta;
	}


	public void setIdReceta(int idReceta) {
		this.idReceta = idReceta;
	}


	public String execute() throws Exception {
		
		return SUCCESS;
	}


	@Override
	public void prepare() throws Exception {
		EJBLocator ejbLocator = EJBLocator.getInstanceReceptes(Constants.FACADE_RECETAS);
		IReceptesFacade iReceptesFacade = ejbLocator.getReceptesFacade();
//		iReceptesFacade.saveReceta(receta);
		receta =iReceptesFacade.getReceta(idReceta);
		receta.setUrlImage("data:"+receta.getMYMEType()+";base64,"+utils.Base64.encode(receta.getImage()));
		
	}

}
